API Documentation
API Endpoints/Identities

Start a registration for a payment with bank details

POST
/identities/{identityReference}/{provider}/bankaccount
AuthorizationBasic <token>

Basic authentication is a simple authentication scheme built into the HTTP protocol. To use it, send your HTTP requests with an Authorization header that contains the word Basic followed by a space and a base64-encoded string username:password.Example: Authorization: Basic ZGVtbzpwQDU1dzByZA==

In: header

Path Parameters

identityReferencestring

Your identityReference

providerstring

Provider for the payment

Value in"mollie"
accountstring

IBAN

holderstring

Response Body

curl -X POST "https://staging1.abillify.dev/api/identities/string/mollie/bankaccount" \
  -H "Content-Type: application/json" \
  -d '{
    "account": "string",
    "holder": "string"
  }'
const body = JSON.stringify({
  "account": "string",
  "holder": "string"
})

fetch("https://staging1.abillify.dev/api/identities/string/mollie/bankaccount", {
  body
})
package main

import (
  "fmt"
  "net/http"
  "io/ioutil"
  "strings"
)

func main() {
  url := "https://staging1.abillify.dev/api/identities/string/mollie/bankaccount"
  body := strings.NewReader(`{
    "account": "string",
    "holder": "string"
  }`)
  req, _ := http.NewRequest("POST", url, body)
  req.Header.Add("Content-Type", "application/json")
  res, _ := http.DefaultClient.Do(req)
  defer res.Body.Close()
  body, _ := ioutil.ReadAll(res.Body)

  fmt.Println(res)
  fmt.Println(string(body))
}
import requests

url = "https://staging1.abillify.dev/api/identities/string/mollie/bankaccount"
body = {
  "account": "string",
  "holder": "string"
}
response = requests.request("POST", url, json = body, headers = {
  "Content-Type": "application/json"
})

print(response.text)
{
  "transaction": 0
}
{
  "code": 400,
  "details": [
    {
      "error": "Value for field 'debtor' is of wrong type, expected bigint.",
      "fields": [
        "debtor"
      ],
      "hint": "Value must be a number or a string containing only a number."
    }
  ],
  "message": "InvalidValue, see error details",
  "name": "ClientError",
  "type": "ERR_INVALID_VALUE"
}
{
  "code": 400,
  "details": [
    {
      "error": "Value for field 'debtor' is of wrong type, expected bigint.",
      "fields": [
        "debtor"
      ],
      "hint": "Value must be a number or a string containing only a number."
    }
  ],
  "message": "InvalidValue, see error details",
  "name": "ClientError",
  "type": "ERR_INVALID_VALUE"
}